%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jboss-invocation
Version:          1.1.1
Release:          %mkrel 2
Summary:          JBoss Invocation API 
Group:            Development/Java
License:          LGPLv2+
URL:              https://github.com/jbossas/jboss-invocation

# git clone git://github.com/jbossas/jboss-invocation.git
# cd jboss-invocation/ && git archive --format=tar --prefix=jboss-invocation-1.1.1.Final/ 1.1.1.Final | xz > jboss-invocation-1.1.1.Final.tar.xz
Source0:          %{name}-%{namedversion}.tar.xz

BuildArch:        noarch

BuildRequires:    jpackage-utils
BuildRequires:    java-devel
BuildRequires:    maven
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-release-plugin
BuildRequires:    maven-resources-plugin
BuildRequires:    maven-surefire-plugin
BuildRequires:    maven-surefire-provider-junit4
BuildRequires:    junit4
BuildRequires:    jboss-parent
BuildRequires:    jboss-logging
BuildRequires:    jboss-marshalling
BuildRequires:    jboss-logging-tools
BuildRequires:    jboss-classfilewriter
BuildRequires:    jboss-interceptors-1.1-api
BuildRequires:    jboss-specs-parent

Requires:         jboss-classfilewriter
Requires:         jboss-logging-tools
Requires:         jboss-marshalling
Requires:         jboss-logging
Requires:         jpackage-utils
Requires:         java

%description
This package contains JBoss Invocation API

%package javadoc
Summary:          Javadocs for %{name}
Group:            Development/Java
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

sed -i "s|<artifactId>jboss-logging-tools</artifactId>|<artifactId>jboss-logging-processor</artifactId>|" pom.xml

%build
mvn-rpmbuild install javadoc:aggregate

%install

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/jboss
cp -p target/%{name}-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/jboss/%{name}.jar

install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.jboss-%{name}.pom
%add_maven_depmap JPP.jboss-%{name}.pom jboss/%{name}.jar

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%files
%{_javadir}/jboss/%{name}.jar
%{_mavenpomdir}/JPP.jboss-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%{_javadocdir}/%{name}



%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.1.1-2.mga3
+ Revision: 354981
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Feb 19 2012 gil <gil> 1.1.1-1.mga3
+ Revision: 210935
- remove P0
- update to 1.1.1.Final
- imported package jboss-invocation

  + dmorgan <dmorgan>
    - Fix BuildRequires
    - Fix BuildRequires
    - Fix BuildRequires
    - Clean spec file

